#include "stdafx.h"
#include "vc.h"
#define MAX_LOADSTRING 100

// Global Variables:
HINSTANCE hInst;								// current instance

// Forward declarations of functions included in this code module:
LRESULT CALLBACK	Dialog(HWND, UINT, WPARAM, LPARAM);

int APIENTRY _tWinMain(HINSTANCE hInstance,
                     HINSTANCE hPrevInstance,
                     LPTSTR    lpCmdLine,
                     int       nCmdShow)
{
	hInst = hInstance;

	CRYPTO_malloc_init(); 
	ERR_load_crypto_strings(); 
    OpenSSL_add_all_algorithms(); 
    ERR_load_OBJ_strings();	

	DialogBox(hInst, (LPCTSTR)IDD_DIALOG1, NULL, (DLGPROC)Dialog);
	return 0;
}

LRESULT CALLBACK Dialog(HWND hDlg, UINT message, WPARAM wParam, LPARAM lParam)
{
	switch (message)
	{
	case WM_INITDIALOG:
		return TRUE;

	case WM_COMMAND:
		if (LOWORD(wParam) == IDOK || LOWORD(wParam) == IDCANCEL) 
		{
			EndDialog(hDlg, LOWORD(wParam));
			return TRUE;
		}
		if (LOWORD(wParam) == IDC_BUTTON1)
		{
			TCHAR text[1000];
			GetDlgItemText(hDlg,IDC_EDIT1,text,1000);
			MessageBox(hDlg,text,_T("Info"),MB_OK|MB_ICONINFORMATION);
		}
		break;
	}
	return FALSE;
}